## org.omg.PortableInterceptor
Class IORInfoHelper

    java.lang.Object
      |
      +--org.omg.PortableInterceptor.IORInfoHelper

public class IORInfoHelper
extends java.lang.Object

Helper class for : IORInfo

Author:
  OpenORB Compiler

Constructor Summary
`IORInfoHelper()`

Method Summary
`static IORInfo` `extract(Any a)` Extract IORInfo from an any
`static java.lang.String` `id()` Return the IORInfo IDL ID
`static void` `insert(Any a, IORInfo t)` Insert IORInfo into an any
`static IORInfo` `narrow(Object obj)` Narrow CORBA::Object to IORInfo
`static IORInfo` `read(InputStream istream)` Read IORInfo from a marshalled stream
`static TypeCode` `type()` Return the IORInfo TypeCode
`static IORInfo` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to IORInfo
`static void` `write(OutputStream ostream, IORInfo value)` Write IORInfo into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IORInfoHelper

    public IORInfoHelper()

Method Detail

### insert

    public static void insert(Any a,
                              IORInfo t)

  Insert IORInfo into an any
  Parameters:
    `a` - an any
    `t` - IORInfo value

### extract

    public static IORInfo extract(Any a)

  Extract IORInfo from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted IORInfo value

### type

    public static TypeCode type()

  Return the IORInfo TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the IORInfo IDL ID
  Returns:
    an ID

### read

    public static IORInfo read(InputStream istream)

  Read IORInfo from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed IORInfo value

### write

    public static void write(OutputStream ostream,
                             IORInfo value)

  Write IORInfo into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - IORInfo value

### narrow

    public static IORInfo narrow(Object obj)

  Narrow CORBA::Object to IORInfo
  Parameters:
    `obj` - the CORBA Object
  Returns:
    IORInfo Object

### unchecked_narrow

    public static IORInfo unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to IORInfo
  Parameters:
    `obj` - the CORBA Object
  Returns:
    IORInfo Object